BMA EHR API Document

Loading...
Searching...
No Matches
Properties | List of all members
BMA.EHR.Domain.Models.HR.ProfileDuty Class Reference
Inheritance diagram for BMA.EHR.Domain.Models.HR.ProfileDuty:

## Properties
DateTime? | DateStart`[get, set]`
DateTime? | DateEnd`[get, set]`
string? | Detail`[get, set]`
string? | Reference`[get, set]`
virtual List< ProfileDutyHistory > | ProfileDutyHistorys = new List<ProfileDutyHistory>()`[get, set]`
virtual ? Profile | Profile`[get, set]`
Properties inherited from BMA.EHR.Domain.Models.Base.EntityBase
Guid | Id`[get, set]`
DateTime | CreatedAt = DateTime.Now`[get, set]`
string | CreatedUserId = string.Empty`[get, set]`
DateTime? | LastUpdatedAt`[get, set]`
string | LastUpdateUserId = string.Empty`[get, set]`
string | CreatedFullName = string.Empty`[get, set]`
string | LastUpdateFullName = string.Empty`[get, set]`

## Property Documentation

## ◆ DateEnd

DateTime? BMA.EHR.Domain.Models.HR.ProfileDuty.DateEnd
| get set

## ◆ DateStart

DateTime? BMA.EHR.Domain.Models.HR.ProfileDuty.DateStart
| get set

## ◆ Detail

string? BMA.EHR.Domain.Models.HR.ProfileDuty.Detail
| get set

## ◆ Profile

virtual ? Profile BMA.EHR.Domain.Models.HR.ProfileDuty.Profile
| get set

## ◆ ProfileDutyHistorys

virtual List<ProfileDutyHistory> BMA.EHR.Domain.Models.HR.ProfileDuty.ProfileDutyHistorys = new List<ProfileDutyHistory>()
| get set

## ◆ Reference

string? BMA.EHR.Domain.Models.HR.ProfileDuty.Reference
| get set

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Models/HR/ProfileDuty.cs